AuthEnvelopedData (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.asn1.cms

## Class AuthEnvelopedData

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cms.AuthEnvelopedData

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class AuthEnvelopedData
      extends ASN1Object

  RFC 5083: CMS AuthEnveloped Data object.

  ASN.1:

       id-ct-authEnvelopedData OBJECT IDENTIFIER ::= { iso(1)
             member-body(2) us(840) rsadsi(113549) pkcs(1) pkcs-9(9)
             smime(16) ct(1) 23 }

       AuthEnvelopedData ::= SEQUENCE {
             version CMSVersion,
             originatorInfo [0] IMPLICIT OriginatorInfo OPTIONAL,
             recipientInfos RecipientInfos,
             authEncryptedContentInfo EncryptedContentInfo,
             authAttrs [1] IMPLICIT AuthAttributes OPTIONAL,
             mac MessageAuthenticationCode,
             unauthAttrs [2] IMPLICIT UnauthAttributes OPTIONAL }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthEnvelopedData(ASN1Sequence seq)` Deprecated. use getInstance().
    `AuthEnvelopedData(OriginatorInfo originatorInfo, ASN1Set recipientInfos, EncryptedContentInfo authEncryptedContentInfo, ASN1Set authAttrs, ASN1OctetString mac, ASN1Set unauthAttrs)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1Set` | `getAuthAttrs()`
    `EncryptedContentInfo` | `getAuthEncryptedContentInfo()`
    `static AuthEnvelopedData` | `getInstance(ASN1TaggedObject obj, boolean explicit)` Return an AuthEnvelopedData object from a tagged object.
    `static AuthEnvelopedData` | `getInstance(java.lang.Object obj)` Return an AuthEnvelopedData object from the given object.
    `ASN1OctetString` | `getMac()`
    `OriginatorInfo` | `getOriginatorInfo()`
    `ASN1Set` | `getRecipientInfos()`
    `ASN1Set` | `getUnauthAttrs()`
    `ASN1Integer` | `getVersion()`
    `ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthEnvelopedData

          public AuthEnvelopedData(OriginatorInfo originatorInfo,
                           ASN1Set recipientInfos,
                           EncryptedContentInfo authEncryptedContentInfo,
                           ASN1Set authAttrs,
                           ASN1OctetString mac,
                           ASN1Set unauthAttrs)

    - #### AuthEnvelopedData

          public AuthEnvelopedData(ASN1Sequence seq)

      Deprecated. use getInstance().
      Constructs AuthEnvelopedData by parsing supplied ASN1Sequence

      Parameters:
        `seq` - An ASN1Sequence with AuthEnvelopedData

  - ### Method Detail

    - #### getInstance

          public static AuthEnvelopedData getInstance(ASN1TaggedObject obj,
                                      boolean explicit)

      Return an AuthEnvelopedData object from a tagged object.

      Accepted inputs:

      - `ASN1Sequence` input formats
      Parameters:
        `obj` - the tagged object holding the object we want.
        `explicit` - true if the object is meant to be explicitly tagged false otherwise.
      Throws:
        `java.lang.IllegalArgumentException` - if the object held by the tagged object cannot be converted.

    - #### getInstance

          public static AuthEnvelopedData getInstance(java.lang.Object obj)

      Return an AuthEnvelopedData object from the given object.

      Accepted inputs:

      - null → null
      - `AuthEnvelopedData` object
      - `org.bouncycastle.asn1.ASN1Sequence` input formats with AuthEnvelopedData structure inside
      Parameters:
        `obj` - The object we want converted.
      Throws:
        `java.lang.IllegalArgumentException` - if the object cannot be converted, or was null.

    - #### getVersion

          public ASN1Integer getVersion()

    - #### getOriginatorInfo

          public OriginatorInfo getOriginatorInfo()

    - #### getRecipientInfos

          public ASN1Set getRecipientInfos()

    - #### getAuthEncryptedContentInfo

          public EncryptedContentInfo getAuthEncryptedContentInfo()

    - #### getAuthAttrs

          public ASN1Set getAuthAttrs()

    - #### getMac

          public ASN1OctetString getMac()

    - #### getUnauthAttrs

          public ASN1Set getUnauthAttrs()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Produce an object suitable for an ASN1OutputStream.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.